修改版本号编译eva,解决版本过期问题

上网、浏览、聊天、下载等
回复
andrew_t
帖子: 614
注册时间: 2006-12-14 3:00
送出感谢: 0
接收感谢: 0
联系:

修改版本号编译eva,解决版本过期问题

#1

帖子 andrew_t » 2007-06-08 0:06

本来一直用eva聊qq的,不过前几天突然eva提示版本过期,不能登录了。
今天看到这个帖子

viewtopic.php?t=58765

里面提到修改默认的qq客户端版本号的方法编译pidgin,使之可以登录qq,我就想,是不是也可以修改eva的版本号使之也可以登陆了呢?

搜索了下eva的源代码,和pidgin的对比了下客户端版本号的定义:

pidgin: /pidgin-2.0.1/libpurple/protocols/qq/header_info.h 中对应的定义:

代码: 全选

#define QQ_CLIENT       0x0f15
eva中eva/src/libeva/evadefines.h文件中对应定义:

代码: 全选

/** QQ2006 Spring Festival */
const short QQ_CLIENT_05F1 = 0x0F15;
......
/**  default client version*/
const short QQ_CLIENT_VERSION = 0x0F15;
看来这两个默认的客户端版本号都一样。于是照http://forum.ubuntu.org.cn/viewtopic.php?t=58765提供的方法,修改eva/src/libeva/evadefines.h中对应部分为

代码: 全选

/**  default client version*/
const short QQ_CLIENT_VERSION = 0x0E1B;
编译安装,OK,可以了登陆了。

关于编译,参考了这个帖子
about23030.html&sid=6d8f53bd418e99d336b3e78df1e872c1

不过又稍微有点不同,我的编译安装过程如下

代码: 全选

sudo apt-get update
sudo apt-get install kdelibs4-dev kdelibs4c2a
到下面地址下载eva 0.4.1源代码(本来想用cvs源代码的,不过我没编译通过)
http://downloads.sourceforge.net/evaq/e ... g_mirror=0

解压后进入源代码目录

代码: 全选

./configure
make
sudo make install
建立链接

代码: 全选

sudo ln -s /usr/local/kde/bin/eva /usr/bin/eva
如果是在gnome或者xfce下运行eva ,建立快捷方式

代码: 全选

sudo gedit /usr/share/applications/eva.desktop

代码: 全选

[Desktop Entry]
Name=Eva
Comment=QQ Client
Exec=/usr/bin/eva
Icon=/usr/local/kde/share/apps/eva/image/theme/eva.png
Terminal=false
Type=Application
Categories=Application;Network;

保存退出,OK。
andrew_t
帖子: 614
注册时间: 2006-12-14 3:00
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 andrew_t » 2007-06-08 22:27

偶写的很辛苦哦。。。有人试了没?我这是OK了
xmoke
帖子: 193
注册时间: 2007-02-01 13:01
送出感谢: 0
接收感谢: 0

#3

帖子 xmoke » 2007-06-09 17:40

0403版直接编译就能上了。。。何必这么辛苦。。
zhengdsp
帖子: 18
注册时间: 2007-05-18 13:11
送出感谢: 0
接收感谢: 0

#4

帖子 zhengdsp » 2007-06-15 16:07

我试过没弄好,后来用楼上说的0403版的好了,不过还是要谢谢,不然我这个菜鸟咋编译都没地儿找
回复

回到 “因特网相关软件”